Retrieve all trusted issuers
Roles
Analytics Events
/v2/credentials/mobile/trusted-issuersRetrieves all mDocs trusted issuers from your tenant.
Analytic events
- MOBILE_CREDENTIAL_TRUSTED_ISSUER_RETRIEVE_LIST_START
- MOBILE_CREDENTIAL_TRUSTED_ISSUER_RETRIEVE_LIST_SUCCESS
- MOBILE_CREDENTIAL_TRUSTED_ISSUER_RETRIEVE_LIST_FAIL
Authorization
bearerAuth In: header
Query Parameters
Range size of returned list.
1 <= value <= 1000100Starting point for the list of entries.
Response Body
application/json
application/json
curl -X GET "https://example.com/v2/credentials/mobile/trusted-issuers"{ "nextCursor": "string", "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "certificatePem": "string", "certificateData": { "notAfter": "2019-08-24", "notBefore": "2019-08-24", "country": "2019-08-24", "commonName": "2019-08-24" } } ]}How would you rate this page?
Create a trusted issuer POST
Add a new mDocs trusted issuer, to be used in online presentation workflows. ### **Analytic events** * MOBILE_CREDENTIAL_TRUSTED_ISSUER_CREATE_START * MOBILE_CREDENTIAL_TRUSTED_ISSUER_CREATE_SUCCESS * MOBILE_CREDENTIAL_TRUSTED_ISSUER_CREATE_FAIL
Retrieve all trusted issuers GET
Retrieves all configured trusted issuers. This endpoint is intended for public consumption, and as such does not require authentication. ### **Analytic events** * CREDENTIAL_PRESENTATION_TRUSTED_ISSUERS_RETRIEVE_LIST_START * CREDENTIAL_PRESENTATION_TRUSTED_ISSUERS_RETRIEVE_LIST_SUCCESS * CREDENTIAL_PRESENTATION_TRUSTED_ISSUERS_RETRIEVE_LIST_FAIL